% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gdalwarp_grid.R
\name{gdalwarp_grid}
\alias{gdalwarp_grid}
\title{Warp basing on the grid of another file}
\usage{
gdalwarp_grid(srcfiles, dstfiles, ref, of = NULL, ...)
}
\arguments{
\item{srcfiles}{A vector of input file paths (managed by GDAL).}

\item{dstfiles}{A vector of input file paths.}

\item{ref}{Path of the raster taken as reference.}

\item{of}{The output format (use the short format name). Default is
the format of every input filename.}

\item{...}{Additional parameters of \link{gdalwarp} (different from \code{s_srs},
\code{t_srs}, \code{te}, \code{tr}, \code{ts} and \code{of}).}
}
\description{
The function apply \link{gdalwarp} to build rasters with the
same projection, resolution and grid alignment of another raster.
If not specified, the output format of each file is the same of the
corresponding source file.
}
\note{
License: GPL 3.0
}
\examples{
\dontrun{
ex_sel <- c("/path/of/existing/input/file.tif",
            "/path/of/existing/input/anotherfile.jp2")
ex_ref <- "/path/of/the/reference/file.jp2"
ex_out <- c("/path/of/the/output/file.tif",
            "/path/of/the/output/anotherfile.jp2")

gdalwarp_grid(ex_sel, ex_out, ex_ref, dstnodata=0, overwrite=TRUE)
}
}
\author{
Luigi Ranghetti, phD (2017) \email{ranghetti.l@irea.cnr.it}
}
